Communigate Pro < 5.0.8 LDAP Module BER Decoding DoS

High Nessus Network Monitor Plugin ID 3415

Synopsis

The remote application is prone to a denial of service (DoS) attack.

Description

The remote host appears to be running CommuniGate Pro, a commercial email and groupware application. The version of CommuniGate Pro installed on the remote host includes an LDAP server that reportedly fails to handle malformed LDAP requests. A user can leverage this issue to crash not just the LDAP server but also the entire application on the remote host.

Solution

Upgrade to version 5.0.8 or higher.

See Also

http://www.securityfocus.com/archive/1/423364

http://lists.grok.org.uk/pipermail/full-disclosure/2006-January/041863.html

http://www.nessus.org/u?10470ceb

http://www.stalker.com/CommuniGatePro/History.html

Plugin Details

Severity: High

ID: 3415

Family: Web Servers

Published: 2006/02/06

Modified: 2016/01/15

Dependencies: 1442

Nessus ID: 20827

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Temporal Score: 6.2

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

CVSSv3

Base Score: 7.3

Temporal Score: 6.8

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:F/RL:O/RC:C

Reference Information

CVE: CVE-2006-0566, CVE-2006-0468

BID: 16501, 16407